### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-social-media-follow/ecl-social-media-follow-item.component.ts`

### Metadata

selector | `ecl-social-media-follow-item`
styles | `:host { display: list-item; }`
templateUrl | `./ecl-social-media-follow-item.component.html`

### Index

###### Methods
onItemClick
###### Inputs
eclSize href icon size styleClass target
###### Outputs
itemClick
###### HostBindings
class
###### Accessors
size

### Inputs

eclSize
Type : `string`
Default value : `'xl'`

href
Type : `string`
Default value : `''`

icon
Type : `string`

size
Type : `string`

styleClass
Type : `string`

target
Type : `string`

### Outputs

itemClick
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Methods

onItemClick
`onItemClick(evt)`
Parameters :
Name | Optional
evt | No
Returns : `void`

### Accessors

size
set `size(value: string)`
Parameters :
Name | Type | Optional
value | `string` | No
Returns : `void`

# result-matching ""

# No results matching ""